#!/bin/sh 

usage() {
	echo "usage: $0 /path/to/dir"
	exit
}
[ -z "$1" ] && usage
[ -f /etc/os-release ] && . /etc/os-release || . /etc/DISTRO_SPECS
x=0 
while [ $x -lt 50 ]; do #change the 50 to whatever number you want to try.. but bear in mind you need the space 
   off="0.${RANDOM}" 
   ang=($[ 1 + $[ RANDOM % 20 ]]) 
   r="0.${RANDOM}" 
   g="0.${RANDOM}" 
   b="0.${RANDOM}" 
   case $[ RANDOM % 4 ] in
	0)pos=tl;;
	1)pos=tr;;
	2)pos=bl;;
	3)pos=br;;
   esac
   algn="$[ RANDOM % 3 ]"
   echo -n "$r $g $b : " 
   [ -f /etc/os-release ] && \
   ./mkwallpaper -n ${ID}-wall${x} -l "${PRETTY_NAME//[\(\)]/}" -x900 -y600 -z "$r $g $b" -o"$off" -k yes -j"$pos" -a"$ang" \
   -i"$algn" -d"$1"  ||\
   ./mkwallpaper -n ${DISTRO_FILE_PREFIX}-wall${x} -l "${DISTRO_NAME} ${DISTRO_VERSION}" -x900 -y600 -z "$r $g $b" -o"$off" -k yes -j"$pos" -a"$ang" \
   -i"$algn" -d"$1"   #-ppng # uncomment if you want png 
   unset off ang r g b pos algn
   x=$(($x + 1)) 
done 